### Method

# GtkSource GutterRenderer activate

#### Declaration [src]

    void
    gtk_source_gutter_renderer_activate (
      GtkSourceGutterRenderer* renderer,
      const GtkTextIter* iter,
      const GdkRectangle* area,
      guint button,
      GdkModifierType state,
      gint n_presses
    )

#### Description [src]

Emits the `GtkSourceGutterRenderer::activate` signal of the renderer. This is called from `GtkSourceGutter` and should never have to be called manually.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter` at the start of the line where the renderer is activated.

  The data is owned by the caller of the method.

`area`

  Type: `GdkRectangle`

  A `GdkRectangle` of the cell area where the renderer is activated.

  The data is owned by the caller of the method.

`button`

  Type: `guint`

  The button that was pressed.

`state`

  Type: `GdkModifierType`

  A `GdkModifierType`.

`n_presses`

  Type: `gint`

  The number of button presses.